Bug 86572 - LO4.4.0.0.beta1 caculation formula result in 0
Summary: LO4.4.0.0.beta1 caculation formula result in 0
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords: regression
Depends on:
Blocks: mab4.4
  Show dependency treegraph
 
Reported: 2014-11-22 13:05 UTC by vlb
Modified: 2015-04-23 14:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Issue calculation (2.40 MB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-22 23:00 UTC, vlb
Details
Reduce test file (186.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-12-11 17:34 UTC, vlb
Details
Much reduced test document (16.51 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-12-11 21:17 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vlb 2014-11-22 13:05:50 UTC
I have a great spreatsheet where in a collumn the same formula, but in some rows the value of the formula is 0.
The value must >0.
Comment 1 m.a.riosv 2014-11-22 13:54:46 UTC
Hello @vlb,

Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 vlb 2014-11-22 23:00:58 UTC
Created attachment 109867 [details]
Issue calculation

Steps to reproduce:

1) When you open the file the calculation is correct.
2) Go to sheet "invoer" cell L19 and change the value to 4
3) Go to the column BQ in sheet "eg" and see in cell BQ9 and BQ10 and some other cells are not correct calculation
4) when you delete the value's in Cell G19:M19 and put the value's in Cell G19=5, H19=4, I19=3, J19=3, K19=3, L19=3, M19=1 and go to column BQ in sheet "roX0_9" and see in cell BQ11 and BQ12 and BQ13 the value's 0. This isn't correct.
Comment 3 m.a.riosv 2014-11-22 23:43:23 UTC
3) what must be the correct calculation?
4) G19:M19 in eg?
5) values are -1540,-1528,-1516 for me.
Comment 4 vlb 2014-11-23 09:47:22 UTC
(In reply to m.a.riosv from comment #3)
> 3) what must be the correct calculation?
> 5) values are -1540,-1528,-1516 for me.

Here what correct calculation value's:

By step 3+4 are the correct value's:
sheet "eg" cell BQ9=-10774, BQ10=-10613, BQ11=-10454
sheet "roX0_9" cell BQ11=-1540, BQ12=-1528, BQ13=-1516

By step 5 are the correct vallue's:
sheet "eg" cell BQ9=9985, BQ10=9830, BQ11=9677
sheet "roX0_9" cell BQ11=-1480, BQ12=-1468, BQ13=-1456


(In reply to m.a.riosv from comment #3)
> 4) G19:M19 in eg?
No step 4 must delete the value's in sheet "invoer"!
Comment 5 raal 2014-11-23 10:12:22 UTC
(In reply to vlb from comment #2)
> Created attachment 109867 [details]
> Issue calculation
> 
> Steps to reproduce:
> 
> 1) When you open the file the calculation is correct.
> 2) Go to sheet "invoer" cell L19 and change the value to 4
> 3) Go to the column BQ in sheet "eg" and see in cell BQ9 and BQ10 and some
> other cells are not correct calculation

changed invoer.L19 = 3
eg.BQ9 = 9985
eg.BQ10 = 9830

changed invoer.L19 = 4
eg.BQ9 = 10774
eg.BQ10 = 10613
but I need to do hard recalc CTRL+SHIFT+F9. Setting as NEW because hard recalc needed.

Is value 10774 and 10613 correct with invoer.L19 = 4?


> 4) when you delete the value's in Cell G19:M19 and put the value's in Cell
> G19=5, H19=4, I19=3, J19=3, K19=3, L19=3, M19=1 and go to column BQ in sheet
> "roX0_9" and see in cell BQ11 and BQ12 and BQ13 the value's 0. This isn't
> correct.

I have values
-1539,51
-1527,62
-1515,73
Doesn't see bug here.

Version: 4.4.0.0.alpha2+
Build ID: d273a60bfdbf9bb7623bed38667ec0647753157c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-11-20_03:05:21
Comment 6 vlb 2014-11-23 10:39:59 UTC
(In reply to raal from comment #5)
> (In reply to vlb from comment #2)
> > Created attachment 109867 [details]
> > Issue calculation
> > 
> > Steps to reproduce:
> > 
> > 1) When you open the file the calculation is correct.
> > 2) Go to sheet "invoer" cell L19 and change the value to 4
> > 3) Go to the column BQ in sheet "eg" and see in cell BQ9 and BQ10 and some
> > other cells are not correct calculation
> 
> changed invoer.L19 = 3
> eg.BQ9 = 9985
> eg.BQ10 = 9830
> 
> changed invoer.L19 = 4
> eg.BQ9 = 10774
> eg.BQ10 = 10613
> but I need to do hard recalc CTRL+SHIFT+F9. Setting as NEW because hard
> recalc needed.
> 
> Is value 10774 and 10613 correct with invoer.L19 = 4?
Yes this is correct and i see when you do hard recalc CTRL+SHIFT+F9 the value's are correct.

> 
> 
> > 4) when you delete the value's in Cell G19:M19 and put the value's in Cell
> > G19=5, H19=4, I19=3, J19=3, K19=3, L19=3, M19=1 and go to column BQ in sheet
> > "roX0_9" and see in cell BQ11 and BQ12 and BQ13 the value's 0. This isn't
> > correct.
> 
> I have values
> -1539,51
> -1527,62
> -1515,73
> Doesn't see bug here.

When is doesn't do hard recalc CTRL+SHIFT+F9 the value's are wrong.
But when you do hard recalc CTRL+SHIFT+F9 the values are in roX0_9
BQ11:BQ13
-1480
-1465
-1456

> 
> Version: 4.4.0.0.alpha2+
> Build ID: d273a60bfdbf9bb7623bed38667ec0647753157c
> TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time:
> 2014-11-20_03:05:21

When do hard recalc CTRL+SHIFT+F9 the issue 86321 is than already oke.
Comment 7 raal 2014-11-23 11:10:13 UTC
Setting as duplicate of bug 86321 because root cause is not triggered recalculation.

*** This bug has been marked as a duplicate of bug 86321 ***
Comment 8 vlb 2014-11-23 11:22:58 UTC
(In reply to raal from comment #7)
> Setting as duplicate of bug 86321 because root cause is not triggered
> recalculation.
> 
> *** This bug has been marked as a duplicate of bug 86321 ***

In this bug are the values not recalculated and is in LO4.4.0, but in LO4.3.4 are the calculation correct.

In bug 86321 are only the graphic's didn't recalculation.
Comment 9 vlb 2014-11-23 11:25:45 UTC
(In reply to vlb from comment #8)

> 
> In bug 86321 are only the graphic's didn't recalculation.

In LO4.3.4 and 4.4.0 are both the recalculation incorrect.
Comment 10 vlb 2014-11-23 11:26:53 UTC
I think this is a other bug than bug 86321!
Comment 11 GerardF 2014-11-23 12:25:47 UTC
Probably dup of https://bugs.freedesktop.org/show_bug.cgi?id=86615
Comment 12 vlb 2014-11-26 19:03:55 UTC
(In reply to GerardF from comment #11)
> Probably dup of https://bugs.freedesktop.org/show_bug.cgi?id=86615

I have test in daily build Version: 4.5.0.0.alpha0+
Build ID: 5c3f47e44c2a734bddd0c3fb7f1151d5096ac494

But the bug isn't resolved!
Comment 13 vlb 2014-11-26 19:07:51 UTC
(In reply to vlb from comment #12)
> (In reply to GerardF from comment #11)
> > Probably dup of https://bugs.freedesktop.org/show_bug.cgi?id=86615
> 
> I have test in daily build Version: 4.5.0.0.alpha0+
> Build ID: 5c3f47e44c2a734bddd0c3fb7f1151d5096ac494
> 
> But the bug isn't resolved!

I have tested because bug 86615 is solved.
Comment 14 Kohei Yoshida 2014-12-11 16:59:48 UTC
Is there any way to reduce the size of the test document, or have a smaller test case with less data (sheet/formula/etc) where the bug is still reproducible?
Comment 15 vlb 2014-12-11 17:34:46 UTC
Created attachment 110745 [details]
Reduce test file

I have the sheet reduce the size of the same test document. I hope this is enough.
See attachment in LO4.4.0.0-beta2 is the same problem.
Comment 16 vlb 2014-12-11 17:36:23 UTC
(In reply to Kohei Yoshida (inactive) from comment #14)
> Is there any way to reduce the size of the test document, or have a smaller
> test case with less data (sheet/formula/etc) where the bug is still
> reproducible?

See attachment, i hope this is enough reduce.
Comment 17 vlb 2014-12-11 17:42:52 UTC
Steps to reproduce in the testfile:
Versie: 4.4.0.0.beta2

1) When you open the file the calculation is correct.
2) Go to sheet "invoer" cell L19 and change the value to 4
3) Go to the column BQ in sheet "eg" and see in cell BQ9 and BQ10 and some other cells are not correct calculate. You see it in the graphic in sheet "eg".
When you do hard recalc CTRL+SHIFT+F9 the values are correct (see graphic).
Comment 18 Kohei Yoshida 2014-12-11 18:18:49 UTC
Very simple!  Thanks.
Comment 19 Kohei Yoshida 2014-12-11 20:43:27 UTC
Actually we need to reduce this further as the new one is still too complex.  If nobody else can do that I would have to, but it will take a while.

We need to basically only include the formula chain between invoer.L19 and eg.BQ and remove everything else...
Comment 20 Kohei Yoshida 2014-12-11 21:08:12 UTC
Ah, no worries.  I think I can reduce this myself...
Comment 21 Kohei Yoshida 2014-12-11 21:17:35 UTC
Created attachment 110755 [details]
Much reduced test document

Much reduced formula chain.

1) Open the file.
2) Change the value of D21.
3) Only F3:F5 get updated but all of F3:F21 should have been updated.

Interestingly, changing D19 causes only F3 to get updated, D20 causes F3:F4 to get updated...
Comment 22 Commit Notification 2014-12-12 01:57:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52781a55441cb270ffecc2522d1e069141a21607

fdo#86572: Increment row position *only when* the row ref is relative.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2014-12-12 01:57:24 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=170616e9f2d30c1302bbb5a7a4b588bc05cd5cc9

fdo#86572: Write test for this.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2014-12-12 01:58:48 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38e2a276859792f0b7f5d1667555217b3b451544&h=libreoffice-4-4

fdo#86572: Increment row position *only when* the row ref is relative.

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-12-12 01:58:52 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=470d96d4e0becff7d1cd23365d94e459086c0675&h=libreoffice-4-4

fdo#86572: Write test for this.

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Kohei Yoshida 2014-12-12 02:24:54 UTC
Fixed, and fingers crossed.
Comment 27 vlb 2014-12-14 13:48:31 UTC
(In reply to Kohei Yoshida (inactive) from comment #26)
> Fixed, and fingers crossed.

Thanks for solved the bug.
I have test in 4.5.0alfa and there is the calculation oke.

I hope the bug 86321 is solving (same sheet, but related too graphics).